Bug 63596 - missing stdout/stderr breaks hotplug /sbin/ifup
missing stdout/stderr breaks hotplug /sbin/ifup
Status: CLOSED DUPLICATE of bug 61705
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-15 23:28 EDT by Sam Varshavchik
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-15 23:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-04-15 23:28:22 EDT
My hotplug isn't hotplugging.  Despite reassuring beeps, the pcmcia card does
not come up when it should.  Manually running 'ifup eth0' works.

Further investigation revealed this is what happens each time /sbin/ifup runs
grep, when it is kicked off by /etc/hotplug/net.agent:

execve("/bin/grep", ["grep", "eth0"], [/* 7 vars */]) = 0

...

close(1)                                = -1 EBADF (Bad file descriptor)
write(2, "grep: ", 6)                   = -1 EBADF (Bad file descriptor)
write(2, "write error", 11)             = -1 EBADF (Bad file descriptor)
write(2, ": Bad file descriptor", 21)   = -1 EBADF (Bad file descriptor)
write(2, "\n", 1)                       = -1 EBADF (Bad file descriptor)
_exit(1)                                = ?


Looks like there's no stdout or stderr.

As a temporary fix, adding

exec 1>/dev/null

to /sbin/ifup gets hotplug working again.  Not sure if this is the right fix.
Comment 1 Bill Nottingham 2002-04-16 01:36:28 EDT
This was fixed *before* beta4. Your grep is old.

*** This bug has been marked as a duplicate of 61705 ***

Note You need to log in before you can comment on or make changes to this bug.